## WebKitDOMAttr

WebKitDOMAttr

## Functions

gchar * | webkit_dom_attr_get_name ()
gboolean | webkit_dom_attr_get_specified ()
gchar * | webkit_dom_attr_get_value ()
void | webkit_dom_attr_set_value ()
WebKitDOMElement * | webkit_dom_attr_get_owner_element ()
gboolean | webkit_dom_attr_get_is_id ()

## Properties

gboolean | is-id | Read
gchar * | name | Read
WebKitDOMElement * | owner-element | Read
gboolean | specified | Read
gchar * | value | Read / Write

## Types and Values

| WebKitDOMAttr

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMAttr

## Implemented Interfaces

WebKitDOMAttr implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_attr_get_name ()

    gchar *
    webkit_dom_attr_get_name (WebKitDOMAttr *self);

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gchar

### webkit_dom_attr_get_specified ()

    gboolean
    webkit_dom_attr_get_specified (WebKitDOMAttr *self);

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gboolean

### webkit_dom_attr_get_value ()

    gchar *
    webkit_dom_attr_get_value (WebKitDOMAttr *self);

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gchar

### webkit_dom_attr_set_value ()

    void
    webkit_dom_attr_set_value (WebKitDOMAttr *self,
                               const gchar *value,
                               GError **error);

#### Parameters

self | A WebKitDOMAttr |
value | A gchar |
error | GError |

### webkit_dom_attr_get_owner_element ()

    WebKitDOMElement *
    webkit_dom_attr_get_owner_element (WebKitDOMAttr *self);

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_attr_get_is_id ()

    gboolean
    webkit_dom_attr_get_is_id (WebKitDOMAttr *self);

#### Parameters

self | A WebKitDOMAttr |

#### Returns

A gboolean

## Types and Values

### WebKitDOMAttr

    typedef struct _WebKitDOMAttr WebKitDOMAttr;

## Property Details

### The `“is-id”` property

      “is-id”                    gboolean

read-only gboolean Attr:is-id.

Flags: Read

Default value: FALSE

### The `“name”` property

      “name”                     gchar *

read-only gchar* Attr:name.

Flags: Read

Default value: ""

### The `“owner-element”` property

      “owner-element”            WebKitDOMElement *

read-only WebKitDOMElement* Attr:owner-element.

Flags: Read

### The `“specified”` property

      “specified”                gboolean

read-only gboolean Attr:specified.

Flags: Read

Default value: FALSE

### The `“value”` property

      “value”                    gchar *

read-write gchar* Attr:value.

Flags: Read / Write

Default value: ""